%global gittag R1_9

Name:      eclipse-emf-validation
Version:   1.9.0
Release:   3%{?dist}
Summary:   Verify the integrity of EMF models
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/emf/?project=validation

Source0:   http://git.eclipse.org/c/emf-validation/org.eclipse.emf.validation.git/snapshot/%{gittag}.tar.xz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-mdt-ocl >= 4.0.0
BuildRequires:    tycho
BuildRequires:    eclipse-license
BuildRequires:    maven-antrun-plugin
BuildRequires:    ant-contrib

%description
The validation component provides an API for defining constraints for any EMF
meta-model (batch and live constraints), provides an extensibility API to
support meta-models that require custom strategies for model traversal and
provides support for parsing the content of constraint elements defined in
specific languages. The validation framework provides support for two
languages: Java and OCL. It also provides API support to define "client
contexts" that describe the objects that need to be validated and to bind them
to constraints that need to be enforced on these objects and provides support
for listening to validation events.

%prep
%setup -q -n %{gittag}

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.adapter org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.general org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples-feature org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.source-feature org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.tests-feature org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.master-feature org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.repository org.eclipse.emf.validation.releng/pom.xml

%build
%mvn_build -j -f -- -f org.eclipse.emf.validation.releng/pom.xml

%install
%mvn_install

%files -f .mfiles
%license org.eclipse.emf.validation-feature/epl-v10.html

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 1.9.0-2
- Rebuild as an Eclipse p2 Droplet.

* Thu Jun 25 2015 Alexander Kurtakov <akurtako@redhat.com> 1.9.0-1
- Update to Mars release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 4 2015 Alexander Kurtakov <akurtako@redhat.com> 1.8.0-1
- Update to upstream 1.8.
- Update to xmvn build.

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 1.6.0-7
- Adapt to emf-runtime dropins change.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-3
- Fix FTBFS rhbz #913952.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-1
- Update to latest version.
- Adapt to newer packaging guidelines.
- Fix FTBFS bug 843213.
- Include emf from new location during pdebuild.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-1
- Update to Helios release.
- Fixes RHBZ #631222.

* Tue Nov 24 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-2
- Don't pretty-print the package description.

* Fri Nov 13 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-1
- New Validation spec file based on eclipse-gef.
